Skip to content

Start an asynchronous log search over a date range. Returns a `queryId`; poll with Get Log Query Results until status is Complete.

POST
/logs/query
object
dateRangeFilter

A tuple of [startTime, endTime] for the date range filter, each representing a unix timestamp.

Array<number>
>= 2 items <= 2 items
userFilter
string
envIdFilter
Array<string>
statusFilter
string
channelFilter
Array<string>
Allowed values: email inapp sms call web_push mobile_push slack
notificationFilter
Array<string>

Successful response

Response type for POST /logs/query

object
queryId
required
string

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string